---
title: VTTRegion
slug: Web/API/VTTRegion
tags:
  - API
  - VTTRegion
  - WebVTT
---
<p>{{APIRef("WebVTT")}}</p>

<p>The <code>VTTRegion</code> interface—part of the API for handling WebVTT (text tracks on media presentations)—describes a portion of the video to render a {{domxref("VTTCue")}} onto.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("VTTRegion.VTTRegion", "VTTRegion()")}}</dt>
 <dd>Returns a newly created <code>VTTRegion</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl id="property_definitions">
 <dt>{{domxref("VTTRegion.id")}}</dt>
 <dd>A {{domxref("DOMString")}} that identifies the region.</dd>
 <dt>{{domxref("VTTRegion.width")}}</dt>
 <dd>A <code>double</code> representing the width of the region, as a percentage of the video.</dd>
 <dt>{{domxref("VTTRegion.lines")}}</dt>
 <dd>A <code>double</code> representing the height of the region, in number of lines.</dd>
 <dt>{{domxref("VTTRegion.regionAnchorX")}}</dt>
 <dd>A <code>double</code> representing the region anchor X offset, as a percentage of the region.</dd>
 <dt>{{domxref("VTTRegion.regionAnchorY")}}</dt>
 <dd>A <code>double</code> representing the region anchor Y offset, as a percentage of the region.</dd>
 <dt>{{domxref("VTTRegion.viewportAnchorX")}}</dt>
 <dd>A <code>double</code> representing the viewport anchor X offset, as a percentage of the video.</dd>
 <dt>{{domxref("VTTRegion.viewportAnchorY")}}</dt>
 <dd>A <code>double</code> representing the viewport anchor Y offset, as a percentage of the video.</dd>
 <dt>{{domxref("VTTRegion.scroll")}}</dt>
 <dd>An enum representing how adding new cues will move existing cues.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var region = new VTTRegion();
region.width = 50;  // Use 50% of the video width
region.lines = 4;  // Use 4 lines of height.
region.viewportAnchorX = 25;  // Have the region start at 25% from the left.
var cue = new VTTCue(2, 3, 'Cool text to be displayed');
cue.region = region;  // This cue will be drawn only within this region.</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebVTT")}}</td>
   <td>{{Spec2("WebVTT")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VTTRegion")}}</p>
